Name:		projectM-libvisual
Version:	1.2.0
Release:	6%{?dist}
Summary:	The projectM visualization plugin for libvisual
Group:		Applications/Multimedia
License:	GPLv2+ and LGPLv2+ and MIT
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, libprojectM-devel => %{version}, libvisual-devel = 0.4.0, SDL-devel

%description
This package allows the use of the projectM visualization plugin through any
libvisual compatible applications.

%prep
%setup -q


%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libvisual-0.4/

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 11 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-4
- Updated license
- Corrected URL
- Minor change to BuildRequires
- Owned lib/libvisual-0.4 because libvisual doesn't create it

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Removed line to delete .la files
- Cleaned up Requires

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed SOURCE0
- Added VERBOSE=1 to make line
- Added cmake to BR line

* Wed Sep 3 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-1
- New release.

* Mon Mar 31 2008 Jameson Pugh (imntreal@gmail.com) - 1.1-1
- New release

* Wed Dec 5 2007 Jameson Pugh <imntreal@gmail.com> - 1.0-1
- Initial public release of the package
